Name:           diffpdf
Version:        2.1.3
Release:        %mkrel 5
Summary:        PDF files comparator

Group:          File tools
License:        GPLv2+
URL:            http://www.qtrac.eu/diffpdf-foss.html
Source0:        http://www.qtrac.eu/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRequires:  poppler-qt4-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
# /usr/include/poppler/cpp/poppler-version.h
BuildRequires:  poppler-cpp-devel

%description
DiffPDF is used to compare two PDF files. By default the comparison is
of the text on each pair of pages, but comparing the appearance of pages
is also supported (for example, if a diagram is changed or a paragraph
reformatted). It is also possible to compare particular pages or page
ranges.

%prep
%setup -q

%build
lrelease diffpdf.pro
%qmake_qt4
%make

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

for f in 32 16; do
   mkdir -p %{buildroot}%{_datadir}/icons/hicolor/"$f"x$f/apps
   convert images/icon.png -size "$f"x$f diffpdf-$f.png
   install -p diffpdf-$f.png %{buildroot}%{_datadir}/icons/hicolor/"$f"x$f/apps/diffpdf.png
done

desktop-file-install                          \
  --dir=%{buildroot}%{_datadir}/applications  \
  %{SOURCE1}

%files
%doc CHANGES help_cz.html help_de.html help_fr.html help.html README
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/??x??/apps/*.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.1.3-5.mga6
+ Revision: 1070613
- rebuild for poppler

* Wed Feb 03 2016 umeabot <umeabot> 2.1.3-4.mga6
+ Revision: 933800
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-3.mga5
+ Revision: 749827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-2.mga5
+ Revision: 678739
- Mageia 5 Mass Rebuild

* Tue Mar 04 2014 akien <akien> 2.1.3-1.mga5
+ Revision: 599454
- New 2.1.3 release
- Change URL to the archive GPLv2 diffpdf homepage, newer releases than 2.1.3 are proprietary

* Fri Oct 18 2013 umeabot <umeabot> 2.1.2-2.mga4
+ Revision: 522344
- Mageia 4 Mass Rebuild

* Wed Feb 20 2013 stormi <stormi> 2.1.2-1.mga3
+ Revision: 399525
- Import diffpdf from fedora
- Created package structure for diffpdf.

